Subject: Re: linux-next: manual merge of the pci tree with the arm-soc tree

From: Bjorn Helgaas <[email-masked]>
Date: Tue, 13 Dec 2022 13:53:13 -0600

On Tue, Dec 13, 2022 at 10:03:10PM +0300, Serge Semin wrote:
> On Tue, Dec 13, 2022 at 05:48:53PM +0100, Thierry Reding wrote:
> > On Tue, Dec 13, 2022 at 10:21:03AM -0600, Bjorn Helgaas wrote:
> > > On Mon, Dec 05, 2022 at 09:57:38AM +1100, Stephen Rothwell wrote:
> > > > Hi all,
> > > > 
> > > > Today's linux-next merge of the pci tree got a conflict in:
> > > > 
> > > >   Documentation/devicetree/bindings/pci/snps,dw-pcie.yaml
> > > > 
> > > > between commit:
> > > > 
> > > >   5c3741492d2e ("dt-bindings: PCI: tegra234: Add ECAM support")
> > > > 
> > > > from the arm-soc tree and commit:
> > > > 
> > > >   4cc13eedb892 ("dt-bindings: PCI: dwc: Add reg/reg-names common properties")
> > > > 
> > > > from the pci tree.
> > > > 
> > > > I didn't know how to fix this up, so I just used the latter (and so lost
> > > > the addition of "ecam").
> > > 
> > > Did I miss a suggested resolution for this?
> > 
> 
> > We had a brief discussion about this in another thread. So basically
> > Stephen's resolution is fine here and the plan is to instead add the
> > ECAM bits that the Tegra patch does in a separate patch on top of
> > Serge's patch. I should get around to sending that patch tomorrow.
> > 
> > Thierry
> 
> Actually the discussion still goes. I haven't got a respond to my
> last suggestion which seems to me more reasonable than extending the
> DT-bindings with another vendor-specific reg-name. @Bjorn, please join
> the discussion here:
> https://lore.kernel.org/linux-pci/[email-masked]/

Sorry, it's really too late for discussion.  I need to send the v6.2
pull request today or at the very latest, tomorrow, so the only thing
to decide is how to resolve the merge conflict in the simplest
possible way.  Unless there's a very compelling reason to resolve it
differently than Stephen did, that's going to be the answer.

Bjorn